Name:           pinephone-helpers
Version:        0.0.4
Release:        4%{?dist}
Summary:        Pinephone call audio routing for megis kernel

License:        GPLv3+
URL:            https://gitlab.com/fedora-mobile/%{name}
Source0:        callaudio.sh
Source1:        pineaudio.c
Source2:        pinephone-boot.service
Source3:        pp-start.sh
Source4:        pp-stop.sh
Source5:        pinephone-calls.service
Source6:	20-pinephone.conf


BuildRequires:  gcc
BuildRequires: systemd-rpm-macros

%description
Turn on and off the modem automatically at boot, and listen for 
new calls to automatically configure audio routing when detected.

%global debug_package %{nil}


%build
gcc %{SOURCE1} -o pineaudio
chmod +x pineaudio


%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp pineaudio $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE0} $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/bin
cp %{SOURCE4} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/systemd/system
cp %{SOURCE5} $RPM_BUILD_ROOT/etc/systemd/system
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/systemd/system
mkdir -p $RPM_BUILD_ROOT/etc/NetworkManager/conf.d
cp %{SOURCE6} $RPM_BUILD_ROOT/etc/NetworkManager/conf.d


%post
%systemd_post pinephone-boot.service
%systemd_post pinephone-calls.service
systemctl enable pinephone-boot.service
systemctl enable pinephone-calls.service


%preun
%systemd_preun pinephone-boot.service
%systemd_preun pinephone-calls.service


%postun
%systemd_postun_with_restart pinephone-boot.service
%systemd_postun_with_restart pinephone-calls.service


%files
%{_bindir}/pp-start.sh
%{_bindir}/pp-stop.sh
%{_bindir}/callaudio.sh
%{_bindir}/pineaudio
%{_sysconfdir}/systemd/system/pinephone-boot.service
%{_sysconfdir}/systemd/system/pinephone-calls.service
%{_sysconfdir}/NetworkManager/conf.d/20-pinephone.conf


%changelog
* Sat Feb 29 2020 Nikhil Jha <hi@nikhiljha.com> - 0.0.1-1
- Initial packaging
